umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TestUML< T, N > Class Template Reference

`#include <testbase.h>`

Inheritance diagram for TestUML< T, N >:

## Public Member Functions
| TestUML ()
| TestUML (N name)
| TestUML (N p1, UMLObject *p2, UMLObject *p3)
QString | testSave1 ()
bool | testLoad1 (const QString &xml)
void | testDump (const QString &title=QString())
UMLObject * | secondary () const

## Detailed Description

template<class T, typename N>
class TestUML< T, N >

template for adding test save/load support to UML related classe

## Constructor & Destructor Documentation

## ◆ TestUML() [1/3]

template<class T , typename N >

TestUML< T, N >::TestUML | ( |  | ) |
| inline

## ◆ TestUML() [2/3]

template<class T , typename N >

TestUML< T, N >::TestUML | ( | N | name | ) |
| inline

## ◆ TestUML() [3/3]

template<class T , typename N >

TestUML< T, N >::TestUML | ( | N | p1,
|  | UMLObject * | p2,
|  | UMLObject * | p3 )
| inline

## Member Function Documentation

## ◆ secondary()

template<class T , typename N >

UMLObject * TestUML< T, N >::secondary | ( |  | ) | const

## ◆ testDump()

template<class T , typename N >

void TestUML< T, N >::testDump | ( | const QString & | title = QString() | ) |

## ◆ testLoad1()

template<class T , typename N >

bool TestUML< T, N >::testLoad1 | ( | const QString & | xml | ) |

## ◆ testSave1()

template<class T , typename N >

QString TestUML< T, N >::testSave1 | ( |  | ) |

The documentation for this class was generated from the following file:

- unittests/testbase.h